##########################.##################
# edit this
############################################

## location of python's Python.h header file
##PYINCL=/usr/local/include/python1.5
PYINCL=/usr/src/python2.1-2.1.3/Include

## location of python's config.h header file
##PYCONFIG=/usr/local/lib/python1.5/config 
PYCONFIG=/usr/src/python2.1-2.1.3

## ESQL/C preprocessor
ESQL='esql'

## Informix libraries to be linked with module
## Leave empty if not sure
INFXLIBS=

## this is a suffix for shared library on your platform
## see /usr/lib/libc.*   Note .a is static library (you need shared)
## Leave this empty if not sure
LDSUFF=

CC=gcc 
LD=gcc
CP=cp
LDFLAGS="-g"
CFLAGS="-g"
SHAREDFLAGS=
PICFLAGS="-fpic"
DBGFLG="-g"



############################################
# don't touch the rest
############################################
PLATFORM=`uname`
if [ "$PLATFORM" = "HP-UX" ]; then
	PLATFORM="hpux"
	if [ -z "$LDSUFF" ]; then
        	LDSUFF=".sl"
        fi
	if [ -z "$SHAREDFLAGS" ]; then
        	SHAREDFLAGS="-shared -Xlinker +s"
        fi
        
elif [ "$PLATFORM" = "Linux" ]; then
	if [ -z "$LDSUFF" ]; then
        	LDSUFF=".so"
	fi
	if [ -z "$SHAREDFLAGS" ]; then
        	SHAREDFLAGS="-shared"
        fi
fi

if [ -z "$INFXLIBS" ]; then
	
	for l in `$ESQL -libs`; do
        	INFXLIBS=$INFXLIBS" "$l
        done
fi

echo "Platform: " 	   $PLATFORM
echo "Shared lib suffix: " $LDSUFF
echo "Python include dir: " $PYINCL
echo "Python config dir: " $PYCONFIG
echo "Informix libraries: " $INFXLIBS

export PLATFORM PYINCL PYCONFIG LDSUFF INFXLIBS ESQL
export CC LD CP LDFLAGS CFLAGS SHAREDFLAGS PICFLAGS DBGFLG


