/*
  dbi.h
  $Revision: 1.3 $
  $Date: 1996/12/13 07:07:18 $

  This is the general interface to COPPERMAN-compliant databases.

  In particular, types and type numbers are defined
*/
#ifndef DBI_H
#define DBI_H

int dbiIsDate(const PyObject *o);
int dbiIsRaw(const PyObject *o);
int dbiIsRowId(const PyObject *o);

/* These do not INCREF */
PyObject *dbiValue(PyObject *o);
PyObject *dbiMakeDate(PyObject *contents);
PyObject *dbiMakeRaw(PyObject *contents);
PyObject *dbiMakeRowId(PyObject *contents);

PyObject * DbiString;
PyObject * DbiRaw;
PyObject * DbiRowId;
PyObject * DbiNumber;
PyObject * DbiDate;

PyObject * DbiNoError;
PyObject * DbiOpError;
PyObject * DbiProgError;
PyObject * DbiIntegrityError;
PyObject * DbiDataError;
PyObject * DbiInternalError;

void initdbi(PyObject *module_dict);

#endif
